GNU bug report logs - #21321
24.5; sh-mode incorrectly indents case statements in certain cases

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Phil <heller.barde@HIDDEN>; merged with #31609; dated Sat, 22 Aug 2015 17:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 21321 31609. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Aug 2015 17:12:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 22 13:12:30 2015
Received: from localhost ([127.0.0.1]:35323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZTCLE-0001YQ-E4
	for submit <at> debbugs.gnu.org; Sat, 22 Aug 2015 13:12:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49511)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <heller.barde@HIDDEN>) id 1ZT9BO-0005K1-Uh
 for submit <at> debbugs.gnu.org; Sat, 22 Aug 2015 09:50:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <heller.barde@HIDDEN>) id 1ZT9BM-0001go-Mk
 for submit <at> debbugs.gnu.org; Sat, 22 Aug 2015 09:50:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49699)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <heller.barde@HIDDEN>) id 1ZT9BM-0001gH-IZ
 for submit <at> debbugs.gnu.org; Sat, 22 Aug 2015 09:50:04 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59497)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <heller.barde@HIDDEN>) id 1ZT9BK-0003mU-FJ
 for bug-gnu-emacs@HIDDEN; Sat, 22 Aug 2015 09:50:04 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <heller.barde@HIDDEN>) id 1ZT9BI-0001Zq-Cc
 for bug-gnu-emacs@HIDDEN; Sat, 22 Aug 2015 09:50:02 -0400
Received: from mail-yk0-x235.google.com ([2607:f8b0:4002:c07::235]:34639)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <heller.barde@HIDDEN>) id 1ZT9BI-0001ZX-6F
 for bug-gnu-emacs@HIDDEN; Sat, 22 Aug 2015 09:50:00 -0400
Received: by ykdt205 with SMTP id t205so96523837ykd.1
 for <bug-gnu-emacs@HIDDEN>; Sat, 22 Aug 2015 06:49:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=5KY0OakDf6Kh6uKYbzwNsa0wOgoIRVJLP0rl7o+MkRE=;
 b=oIwLzxMS96Q5hUR48pYtBGO2qZXVlI58QG2o9nONX13FfjKKbnwotgHWn8CoHY5Uxr
 9UR68dUKTWf3wzDmc8xVo27CogRBmnmWmaWoxZF9UfjPa3G8wZkbh39iu7d2MgEQutR2
 O9ePRjS7+NG3Qf+WfGENppa4NLk7Q8mrM/Kf33ToYrcQzc1uMzjbYaFyX43nz0bJVfCf
 gsDtWb90Y8Dg5ZQs51xGi0E1wfmZf1y7TO/e+iqBJGNiXnHcWLKZcwNBXme9+6clkHyw
 fN9+EdtHfC/fKcBW1qjq/vLe4XYKPiRiUOlEsitNL1bqlGQvisvpXAwf20upycvn1hT9
 BWvg==
X-Received: by 10.170.114.200 with SMTP id g191mr18789949ykb.71.1440251398943; 
 Sat, 22 Aug 2015 06:49:58 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.37.22.11 with HTTP; Sat, 22 Aug 2015 06:49:39 -0700 (PDT)
From: Phil <heller.barde@HIDDEN>
Date: Sat, 22 Aug 2015 15:49:39 +0200
Message-ID: <CAG2muuPBimy84RrVbZHdsujWaDKT3pE27rzD-VruuBRSN3TUTQ@HIDDEN>
Subject: 24.5; sh-mode incorrectly indents case statements in certain cases
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113796fc057c69051de6a9ec
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 22 Aug 2015 13:12:26 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113796fc057c69051de6a9ec
Content-Type: text/plain; charset=UTF-8

If there is a pair of parens (for bash globbing) in a case match, the

indentation of sh-mode indents everything after the match expression to

the end of that expression. If there are multiple such expressions, it will

progressively indent further and further.


To see what I mean, load the example below into an emacs buffer with
sh-mode and press


M-x mark-whole-buffer RET M-x indent-region RET


------------- Example ----------------------

#!/bin/bash

TEST=foo234bar


###### Expected: (does not contain the offending parens)


case $TEST in

foo[0-9]bar)

echo "TEST contains a digit between foo and bar";

;;


foobar)

echo "TEST does not contain numbers";

;;


*)

echo "Invalid value in TEST";

;;

esac


###### End expected


###### Actual: (contains the parens for the repeating pattern match)


case $TEST in

foo+([0-9])bar)

echo "TEST contains numbers between foo and bar";

;;


foobar)

echo "TEST does not contain numbers";

;;


*)

echo "Invalid value in TEST";

;;

esac;



###### End actual

----------------- END Example -------------------


Thanks for looking at this


Regards,

Philip Stark





In GNU Emacs 24.5.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.2)

of 2015-04-20 on bitzer.hoetzel.info

Windowing system distributor `The X.Org Foundation', version 11.0.11702000

Configured using:

`configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib

--localstatedir=/var --with-x-toolkit=gtk3 --with-xft

'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong

--param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2

LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'


Important settings:

value of $LC_MONETARY: de_CH.UTF-8

value of $LC_NUMERIC: de_CH.UTF-8

value of $LC_TIME: de_CH.UTF-8

value of $LANG: en_US.UTF-8

locale-coding-system: utf-8-unix


Major mode: Shell-script


Minor modes in effect:

sh-electric-here-document-mode: t

global-diff-hl-mode: t

diff-hl-mode: t

diff-auto-refine-mode: t

winner-mode: t

global-undo-tree-mode: t

undo-tree-mode: t

global-anzu-mode: t

anzu-mode: t

projectile-global-mode: t

projectile-mode: t

shell-dirtrack-mode: t

volatile-highlights-mode: t

global-hl-line-mode: t

recentf-mode: t

savehist-mode: t

show-smartparens-global-mode: t

show-smartparens-mode: t

global-auto-revert-mode: t

delete-selection-mode: t

prelude-global-mode: t

prelude-mode: t

tooltip-mode: t

electric-indent-mode: t

mouse-wheel-mode: t

file-name-shadow-mode: t

global-font-lock-mode: t

font-lock-mode: t

auto-composition-mode: t

auto-encryption-mode: t

auto-compression-mode: t

size-indication-mode: t

column-number-mode: t

line-number-mode: t

transient-mark-mode: t


Recent messages:

Saving file /home/phil/tmp/emacs_indentation_test.sh...

Wrote /tmp/.!home!phil!tmp!emacs_indentation_test.sh.~undo-tree~

Wrote /home/phil/tmp/emacs_indentation_test.sh

Saving file /home/phil/tmp/emacs_indentation_test.sh...

Wrote /tmp/.!home!phil!tmp!emacs_indentation_test.sh.~undo-tree~

Wrote /home/phil/tmp/emacs_indentation_test.sh

byte-code: Beginning of buffer [7 times]

Making completion list...


Load-path shadows:

None found.


Features:

(shadow sort mail-extr emacsbug message idna rfc822 mml mml-sec

mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils

mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils easy-kill

vc-git sh-script smie executable help-mode server flatland-theme

prelude-global-keybindings prelude-editor operate-on-number calc-bin

calc-ext calc calc-loaddefs calc-macs diff-hl smartrep vc-dir ewoc vc

vc-dispatcher diff-mode easy-mmode winner undo-tree diff esh-var esh-io

esh-cmd esh-opt esh-ext esh-proc esh-arg eldoc esh-groups eshell

esh-module esh-mode esh-util re-builder whitespace tabify

browse-kill-ring midnight ediff-merg ediff-wind ediff-diff ediff-mult

ediff-help ediff-init ediff-util ediff dired-x dired anzu avy projectile

compile ibuf-ext ibuffer bookmark pp expand-region text-mode-expansions

er-basic-expansions expand-region-core expand-region-custom flyspell

ispell tramp tramp-compat auth-source gnus-util mm-util mail-prsvr

password-cache tramp-loaddefs trampver shell pcomplete comint ansi-color

format-spec etags ring volatile-highlights hl-line windmove recentf

tree-widget wid-edit savehist saveplace diminish edmacro kmacro

smartparens-config smartparens time-date autorevert filenotify delsel

prelude-mode prelude-core imenu epl ido ov dash thingatpt prelude-ui

smart-mode-line mule-util rich-minority prelude-custom prelude-packages

finder-inf eieio byte-opt bytecomp byte-compile cl-extra cconv

eieio-core cl-macs advice help-fns info easymenu package epg-config cl

gv cl-loaddefs cl-lib theme tooltip electric uniquify ediff-hook

vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image

regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register

page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock

font-lock syntax facemenu font-core frame cham georgian utf-8-lang

misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew

greek romanian slovak czech european ethiopic indian cyrillic chinese

case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice

loaddefs button faces cus-face macroexp files text-properties overlay

sha1 md5 base64 format env code-pages mule custom widget

hashtable-print-readable backquote make-network-process dbusbind

gfilenotify dynamic-setting system-font-setting font-render-setting

move-toolbar gtk x-toolkit x multi-tty emacs)


Memory information:

((conses 16 267771 213712)

(symbols 48 38350 1)

(miscs 40 482 957)

(strings 32 70315 175298)

(string-bytes 1 1986298)

(vectors 16 30716)

(vector-slots 8 613249 119243)

(floats 8 168 1362)

(intervals 56 1105 3300)

(buffers 960 16)

(heap 1024 67464 33453))

--001a113796fc057c69051de6a9ec
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">

<p style=3D"margin:0px;text-indent:0px"></p>
<p style=3D"margin:0px;text-indent:0px">If there is a pair of parens (for b=
ash globbing) in a case match, the</p>
<p style=3D"margin:0px;text-indent:0px">indentation of sh-mode indents ever=
ything after the match expression to</p><p style=3D"margin:0px;text-indent:=
0px">the end of that expression. If there are multiple such expressions, it=
 will</p><p style=3D"margin:0px;text-indent:0px">progressively indent furth=
er and further.<br></p><p style=3D"margin:0px;text-indent:0px"><br></p><p s=
tyle=3D"margin:0px;text-indent:0px">To see what I mean, load the example be=
low into an emacs buffer with sh-mode and press<br></p><p style=3D"margin:0=
px;text-indent:0px"><br></p><p style=3D"margin:0px;text-indent:0px">M-x mar=
k-whole-buffer RET M-x indent-region RET</p><p style=3D"margin:0px;text-ind=
ent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px"></p>
<p style=3D"margin:0px;text-indent:0px">------------- Example -------------=
---------</p>
<p style=3D"margin:0px;text-indent:0px">#!/bin/bash</p>
<p style=3D"margin:0px;text-indent:0px">TEST=3Dfoo234bar</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">###### Expected: (does not contain =
the offending parens)</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">case $TEST in</p>
<p style=3D"margin:0px;text-indent:0px">    foo[0-9]bar)</p>
<p style=3D"margin:0px;text-indent:0px">        echo &quot;TEST contains a =
digit between foo and bar&quot;;</p>
<p style=3D"margin:0px;text-indent:0px">        ;;</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">    foobar)</p>
<p style=3D"margin:0px;text-indent:0px">        echo &quot;TEST does not co=
ntain numbers&quot;;</p>
<p style=3D"margin:0px;text-indent:0px">        ;;</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">    *)</p>
<p style=3D"margin:0px;text-indent:0px">        echo &quot;Invalid value in=
 TEST&quot;;</p>
<p style=3D"margin:0px;text-indent:0px">        ;;</p>
<p style=3D"margin:0px;text-indent:0px">esac</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">###### End expected</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">###### Actual: (contains the parens=
 for the repeating pattern match)</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">case $TEST in</p>
<p style=3D"margin:0px;text-indent:0px">    foo+([0-9])bar)</p>
<p style=3D"margin:0px;text-indent:0px">                   echo &quot;TEST =
contains numbers between foo and bar&quot;;</p>
<p style=3D"margin:0px;text-indent:0px">                   ;;</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">                   foobar)</p>
<p style=3D"margin:0px;text-indent:0px">                       echo &quot;T=
EST does not contain numbers&quot;;</p>
<p style=3D"margin:0px;text-indent:0px">                       ;;</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">                   *)</p>
<p style=3D"margin:0px;text-indent:0px">                       echo &quot;I=
nvalid value in TEST&quot;;</p>
<p style=3D"margin:0px;text-indent:0px">                       ;;</p>
<p style=3D"margin:0px;text-indent:0px">                   esac;</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">###### End actual</p>
<p style=3D"margin:0px;text-indent:0px">----------------- END Example -----=
--------------</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Thanks for looking at this</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Regards,</p>
<p style=3D"margin:0px;text-indent:0px">Philip Stark</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px"><br></p>

<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">In GNU Emacs 24.5.1 (x86_64-unknown=
-linux-gnu, GTK+ Version 3.16.2)</p>
<p style=3D"margin:0px;text-indent:0px"> of 2015-04-20 on <a href=3D"http:/=
/bitzer.hoetzel.info">bitzer.hoetzel.info</a></p>
<p style=3D"margin:0px;text-indent:0px">Windowing system distributor `The X=
.Org Foundation&#39;, version 11.0.11702000</p>
<p style=3D"margin:0px;text-indent:0px">Configured using:</p>
<p style=3D"margin:0px;text-indent:0px"> `configure --prefix=3D/usr --sysco=
nfdir=3D/etc --libexecdir=3D/usr/lib</p>
<p style=3D"margin:0px;text-indent:0px"> --localstatedir=3D/var --with-x-to=
olkit=3Dgtk3 --with-xft</p>
<p style=3D"margin:0px;text-indent:0px"> &#39;CFLAGS=3D-march=3Dx86-64 -mtu=
ne=3Dgeneric -O2 -pipe -fstack-protector-strong</p>
<p style=3D"margin:0px;text-indent:0px"> --param=3Dssp-buffer-size=3D4&#39;=
 CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2</p>
<p style=3D"margin:0px;text-indent:0px"> LDFLAGS=3D-Wl,-O1,--sort-common,--=
as-needed,-z,relro&#39;</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Important settings:</p>
<p style=3D"margin:0px;text-indent:0px">  value of $LC_MONETARY: de_CH.UTF-=
8</p>
<p style=3D"margin:0px;text-indent:0px">  value of $LC_NUMERIC: de_CH.UTF-8=
</p>
<p style=3D"margin:0px;text-indent:0px">  value of $LC_TIME: de_CH.UTF-8</p=
>
<p style=3D"margin:0px;text-indent:0px">  value of $LANG: en_US.UTF-8</p>
<p style=3D"margin:0px;text-indent:0px">  locale-coding-system: utf-8-unix<=
/p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Major mode: Shell-script</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Minor modes in effect:</p>
<p style=3D"margin:0px;text-indent:0px">  sh-electric-here-document-mode: t=
</p>
<p style=3D"margin:0px;text-indent:0px">  global-diff-hl-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  diff-hl-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  diff-auto-refine-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  winner-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  global-undo-tree-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  undo-tree-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  global-anzu-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  anzu-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  projectile-global-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  projectile-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  shell-dirtrack-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  volatile-highlights-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  global-hl-line-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  recentf-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  savehist-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  show-smartparens-global-mode: t</=
p>
<p style=3D"margin:0px;text-indent:0px">  show-smartparens-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  global-auto-revert-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  delete-selection-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  prelude-global-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  prelude-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  tooltip-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  electric-indent-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  mouse-wheel-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  file-name-shadow-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  global-font-lock-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  font-lock-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  auto-composition-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  auto-encryption-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  auto-compression-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  size-indication-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  column-number-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  line-number-mode: t</p>
<p style=3D"margin:0px;text-indent:0px">  transient-mark-mode: t</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Recent messages:</p>
<p style=3D"margin:0px;text-indent:0px">Saving file /home/phil/tmp/emacs_in=
dentation_test.sh...</p>
<p style=3D"margin:0px;text-indent:0px">Wrote /tmp/.!home!phil!tmp!emacs_in=
dentation_test.sh.~undo-tree~</p>
<p style=3D"margin:0px;text-indent:0px">Wrote /home/phil/tmp/emacs_indentat=
ion_test.sh</p>
<p style=3D"margin:0px;text-indent:0px">Saving file /home/phil/tmp/emacs_in=
dentation_test.sh...</p>
<p style=3D"margin:0px;text-indent:0px">Wrote /tmp/.!home!phil!tmp!emacs_in=
dentation_test.sh.~undo-tree~</p>
<p style=3D"margin:0px;text-indent:0px">Wrote /home/phil/tmp/emacs_indentat=
ion_test.sh</p>
<p style=3D"margin:0px;text-indent:0px">byte-code: Beginning of buffer [7 t=
imes]</p>
<p style=3D"margin:0px;text-indent:0px">Making completion list...</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Load-path shadows:</p>
<p style=3D"margin:0px;text-indent:0px">None found.</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Features:</p>
<p style=3D"margin:0px;text-indent:0px">(shadow sort mail-extr emacsbug mes=
sage idna rfc822 mml mml-sec</p>
<p style=3D"margin:0px;text-indent:0px">mm-decode mm-bodies mm-encode mail-=
parse rfc2231 mailabbrev gmm-utils</p>
<p style=3D"margin:0px;text-indent:0px">mailheader sendmail rfc2047 rfc2045=
 ietf-drums mail-utils easy-kill</p>
<p style=3D"margin:0px;text-indent:0px">vc-git sh-script smie executable he=
lp-mode server flatland-theme</p>
<p style=3D"margin:0px;text-indent:0px">prelude-global-keybindings prelude-=
editor operate-on-number calc-bin</p>
<p style=3D"margin:0px;text-indent:0px">calc-ext calc calc-loaddefs calc-ma=
cs diff-hl smartrep vc-dir ewoc vc</p>
<p style=3D"margin:0px;text-indent:0px">vc-dispatcher diff-mode easy-mmode =
winner undo-tree diff esh-var esh-io</p>
<p style=3D"margin:0px;text-indent:0px">esh-cmd esh-opt esh-ext esh-proc es=
h-arg eldoc esh-groups eshell</p>
<p style=3D"margin:0px;text-indent:0px">esh-module esh-mode esh-util re-bui=
lder whitespace tabify</p>
<p style=3D"margin:0px;text-indent:0px">browse-kill-ring midnight ediff-mer=
g ediff-wind ediff-diff ediff-mult</p>
<p style=3D"margin:0px;text-indent:0px">ediff-help ediff-init ediff-util ed=
iff dired-x dired anzu avy projectile</p>
<p style=3D"margin:0px;text-indent:0px">compile ibuf-ext ibuffer bookmark p=
p expand-region text-mode-expansions</p>
<p style=3D"margin:0px;text-indent:0px">er-basic-expansions expand-region-c=
ore expand-region-custom flyspell</p>
<p style=3D"margin:0px;text-indent:0px">ispell tramp tramp-compat auth-sour=
ce gnus-util mm-util mail-prsvr</p>
<p style=3D"margin:0px;text-indent:0px">password-cache tramp-loaddefs tramp=
ver shell pcomplete comint ansi-color</p>
<p style=3D"margin:0px;text-indent:0px">format-spec etags ring volatile-hig=
hlights hl-line windmove recentf</p>
<p style=3D"margin:0px;text-indent:0px">tree-widget wid-edit savehist savep=
lace diminish edmacro kmacro</p>
<p style=3D"margin:0px;text-indent:0px">smartparens-config smartparens time=
-date autorevert filenotify delsel</p>
<p style=3D"margin:0px;text-indent:0px">prelude-mode prelude-core imenu epl=
 ido ov dash thingatpt prelude-ui</p>
<p style=3D"margin:0px;text-indent:0px">smart-mode-line mule-util rich-mino=
rity prelude-custom prelude-packages</p>
<p style=3D"margin:0px;text-indent:0px">finder-inf eieio byte-opt bytecomp =
byte-compile cl-extra cconv</p>
<p style=3D"margin:0px;text-indent:0px">eieio-core cl-macs advice help-fns =
info easymenu package epg-config cl</p>
<p style=3D"margin:0px;text-indent:0px">gv cl-loaddefs cl-lib theme tooltip=
 electric uniquify ediff-hook</p>
<p style=3D"margin:0px;text-indent:0px">vc-hooks lisp-float-type mwheel x-w=
in x-dnd tool-bar dnd fontset image</p>
<p style=3D"margin:0px;text-indent:0px">regexp-opt fringe tabulated-list ne=
wcomment lisp-mode prog-mode register</p>
<p style=3D"margin:0px;text-indent:0px">page menu-bar rfn-eshadow timer sel=
ect scroll-bar mouse jit-lock</p>
<p style=3D"margin:0px;text-indent:0px">font-lock syntax facemenu font-core=
 frame cham georgian utf-8-lang</p>
<p style=3D"margin:0px;text-indent:0px">misc-lang vietnamese tibetan thai t=
ai-viet lao korean japanese hebrew</p>
<p style=3D"margin:0px;text-indent:0px">greek romanian slovak czech europea=
n ethiopic indian cyrillic chinese</p>
<p style=3D"margin:0px;text-indent:0px">case-table epa-hook jka-cmpr-hook h=
elp simple abbrev minibuffer nadvice</p>
<p style=3D"margin:0px;text-indent:0px">loaddefs button faces cus-face macr=
oexp files text-properties overlay</p>
<p style=3D"margin:0px;text-indent:0px">sha1 md5 base64 format env code-pag=
es mule custom widget</p>
<p style=3D"margin:0px;text-indent:0px">hashtable-print-readable backquote =
make-network-process dbusbind</p>
<p style=3D"margin:0px;text-indent:0px">gfilenotify dynamic-setting system-=
font-setting font-render-setting</p>
<p style=3D"margin:0px;text-indent:0px">move-toolbar gtk x-toolkit x multi-=
tty emacs)</p>
<p style=3D"margin:0px;text-indent:0px"><br></p>
<p style=3D"margin:0px;text-indent:0px">Memory information:</p>
<p style=3D"margin:0px;text-indent:0px">((conses 16 267771 213712)</p>
<p style=3D"margin:0px;text-indent:0px"> (symbols 48 38350 1)</p>
<p style=3D"margin:0px;text-indent:0px"> (miscs 40 482 957)</p>
<p style=3D"margin:0px;text-indent:0px"> (strings 32 70315 175298)</p>
<p style=3D"margin:0px;text-indent:0px"> (string-bytes 1 1986298)</p>
<p style=3D"margin:0px;text-indent:0px"> (vectors 16 30716)</p>
<p style=3D"margin:0px;text-indent:0px"> (vector-slots 8 613249 119243)</p>
<p style=3D"margin:0px;text-indent:0px"> (floats 8 168 1362)</p>
<p style=3D"margin:0px;text-indent:0px"> (intervals 56 1105 3300)</p>
<p style=3D"margin:0px;text-indent:0px"> (buffers 960 16)</p>
<p style=3D"margin:0px;text-indent:0px"> (heap 1024 67464 33453))</p>
<p style=3D"margin:0px;text-indent:0px"><br></p></div>

--001a113796fc057c69051de6a9ec--




Acknowledgement sent to Phil <heller.barde@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21321; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 28 May 2018 00:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.